# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/skynettechnologies/aioa/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/skynettechnologies/aioa/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Skynettechnologies\\Aioa\\": "packages/skynettechnologies/aioa/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Skynettechnologies\Aioa\Providers\AioaServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Aioa'  => Skynettechnologies\Aioa\Facades\Aioa::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Skynettechnologies\\AioaTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/aioa/{modulename}

**User**

    http://path-to-route-folder/user/aioa/{modulename}

**Public**

    http://path-to-route-folder/aioas


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/aioa/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/aioa/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/aioa/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/aioa/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/aioa/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/aioa/{modulename}/{slug}
    METHOD: GET