Lavalite package that provides aioa management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `skynettechnologies/aioa`.

    "skynettechnologies/aioa": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Skynettechnologies\Aioa\Providers\AioaServiceProvider::class,

And also add it to alias

    'Aioa'  => Skynettechnologies\Aioa\Facades\Aioa::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Skynettechnologies\\Aioa\\Seeds\\AioaTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Skynettechnologies\Aioa\Providers\AioaServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/aioa/{modulename}

**User**

    http://path-to-route-folder/user/aioa/{modulename}

**Public**

    http://path-to-route-folder/aioas


### API endpoints

**List**

    http://path-to-route-folder/api/user/aioa/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/aioa/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/aioa/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/aioa/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/aioa/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/aioa/{modulename}/{slug}
    METHOD: GET