<?php

namespace Skynettechnologies\Aioa\Repositories\Eloquent;

use Skynettechnologies\Aioa\Interfaces\AioaRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Skynettechnologies\Aioa\Repositories\Eloquent\Presenters\AioaItemPresenter;


class AioaRepository extends BaseRepository implements AioaRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('skynettechnologies.aioa.aioa.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('skynettechnologies.aioa.aioa.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AioaItemPresenter::class;
    }
}
